Jump to content

My Browser Builds (Part 2)


Recommended Posts


Hi


the test website " https://speed.cloudflare.com " does not give results with XP :wacko: and the latest versions of the following browsers:
Newmoon 27 (white page)
Newmoon 28
Serpent 52
Mypal
Iceape-upx
Arcticfox (blank page)
Bnavigator
Centaury

works with it:
Serpent 55
Firefox 52.9
Nightly 45.9.31

Is there a solution to this problem?

image1-10.png

https://blog.cloudflare.com/test-your-home-network-performance

 

Edited by IXOYE
Link to comment
Share on other sites

New build 1.1.7 Github wc polyfill:

 

https://github.com/JustOff/github-wc-polyfill/releases

I remind MSFN members of the change in install.rdf to install the extension in the browser:

 

<?xml version='1.0' encoding='utf-8'?>
<RDF xmlns="http://www.w3.org/1999/02/22-rdf-syntax-ns#" xmlns:em="http://www.mozilla.org/2004/em-rdf#">
  <Description about="urn:mozilla:install-manifest">
    <em:id>github-wc-polyfill@Off.JustOff</em:id>
    <em:version>1.1.7</em:version>
    <em:type>2</em:type>
    <em:bootstrap>true</em:bootstrap>
    <em:strictCompatibility>true</em:strictCompatibility>
    <em:name>GitHub Web Components Polyfill</em:name>
    <em:description>Ensures that all GitHub scripts required for UXP and SeaMonkey are loaded correctly</em:description>
    <em:creator>Off JustOff &lt;Off.Just.Off@gmail.com&gt;</em:creator>
    <em:homepageURL>https://github.com/JustOff/github-wc-polyfill/</em:homepageURL>
    <em:updateURL>https://raw.githubusercontent.com/JustOff/github-wc-polyfill/master/update.xml</em:updateURL>
    <em:targetApplication>
      <Description>
      <em:id>{8de7fcbb-c55c-4fbe-bfc5-fc555c87dbc4}</em:id>
      <em:minVersion>28.10.0</em:minVersion>
      <em:maxVersion>29.*</em:maxVersion>
      </Description>
    </em:targetApplication>
    <em:targetApplication>
      <Description>
        <em:id>{ec8030f7-c20a-464f-9b0e-13a3a9e97384}</em:id>
        <em:minVersion>52.9.2020.10.05</em:minVersion>
        <em:maxVersion>52.9.2021.*</em:maxVersion>
      </Description>
    </em:targetApplication>
    <em:targetApplication>
      <Description>
        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
        <em:minVersion>2.53.4</em:minVersion>
        <em:maxVersion>2.53.*</em:maxVersion>
      </Description>
    </em:targetApplication>
  </Description>
</RDF>


      <em:minVersion>28.10.0</em:minVersion>
     

Edited by Sampei.Nihira
  • Upvote 4
Link to comment
Share on other sites

7 hours ago, UCyborg said:

Asked about it on PM forum as the issue is inherited from upstream.

... Wrong link there (to the test site itself!) :P
Should've been: 

https://forum.palemoon.org/viewtopic.php?f=70&t=25830&p=205294

BTW, many thanks :thumbup for raising this "there" (as you seem to be one of the very few that can coexist in both "camps" :whistle:, without being given the "enemy agent" (and other, more derogatory) "accolade" by you know who... ;)

As the case is, @JustOff once more pinpointed correctly and swiftly the culprit :thumbup ; too bad Moonchild (instigated by you know who) recently ostracised him from the core of the MCP devs... :( IMHO, he was the only one really sane person among them...

Edited by VistaLover
  • Like 3
  • Upvote 2
Link to comment
Share on other sites

Another site I'm having trouble with Serpent 52 on is github, it won't always fully come in, with or without javascript. Sometimes it works but others the page remains blank. No problems with Quantum.  

https://github.com/xiaoxiaoflood/firefox-scripts/tree/master/chrome

This I think is a known issue but just started recently for me.

Edited by DanR20
Link to comment
Share on other sites

5 hours ago, DanR20 said:

Another site I'm having trouble with Serpent 52 on is github
(snipped)
This I think is a known issue

 UXP browsers like NM28/St52 are no longer supported by Microsoft-owned GitHub, as they now only target the four "major" browsers, all some form of Chromium forks (Google Chrome, Mozilla Firefox[Quantum] > 68.0, Opera, Microsoft [Chr]Edge) :angry: ; they're now using Chromium-only frameworks like WebComponents/Custom Elements/Shadow Dom etc, that the UXP platform doesn't support currently, and is, to be realistic, still far away from supporting in the (near?) future...

 In the specific case of GitHub, a true life-saver is the legacy extension referenced just three posts above by @Sampei.Nihiragithub-wc-polyfill, currently at version 1.1.7 ; unlike NM28, in St52 it would install (and eventually update) right out of the box, without tinkering with its install.rdf file; you have to be, though, on a fairly recent version of Serpent 52, as it relies on APIs found in relatively recent UXP snapshots (anything within the last 4 months should be OK, if you ask me...). :P

  • Upvote 3
Link to comment
Share on other sites

2 hours ago, VistaLover said:

  In the specific case of GitHub, a true life-saver is the legacy extension referenced just three posts above by @Sampei.Nihira,

That sounds good, I'll give it a try. Thanks to Sampei.Nihira for posting the link.

Update: just installed it and now the github pages are coming in. Thanks again since I use that site quite a bit and don't have to rely on quantum. I haven't even bothered to infest my system with any chromium versions.

 

Edited by DanR20
  • Like 1
  • Upvote 2
Link to comment
Share on other sites

On 12/15/2020 at 9:29 AM, IXOYE said:

Hi


the test website " https://speed.cloudflare.com " does not give results with XP :wacko: and the latest versions of the following browsers:
Newmoon 27 (white page)
Newmoon 28
Serpent 52
Mypal
Iceape-upx
Arcticfox (blank page)
Bnavigator
Centaury

works with it:
Serpent 55
Firefox 52.9
Nightly 45.9.31

Is there a solution to this problem?

https://blog.cloudflare.com/test-your-home-network-performance

 

FWIW it works fine with Firefox 52.9 ESR on XP, except for the map, which it says it can't display because there is no WebGL support in the browser.
:)

Link to comment
Share on other sites

7 hours ago, Dave-H said:

Strange, the webpage says it doesn't!

Hello , I'm sorry , I'm new here , maybe missed something , I just used search for "webgl" and it led me here . Would you mind letting know , why do you need WEbGL at all  ? I've always thought webrtc , webgl , canvas and some others are the first things we need to disable. Thank you.

Link to comment
Share on other sites

@Dave-H: why don't you try here:

https://get.webgl.org/

I would do it, however it has been over a year since I 've uninstalled f52esr.

Cheers

PS; Speed test with NM@* it starts and then pauses. Tried link right above and says that mybrowser NM28 supports webgl. Maybe not all webgl functionality is supported.

Also " The bad news: WebGL is dead --it's an API that's been stagnant and neglected for nearly a decade, which is outside of the control of Unity. Most of the limitations Unity has with WebGL are limitations in WebGL standard itself and/or lack of browser support for WebGL features. "

So I reckon @D.Draker question is pertinent.

Link to comment
Share on other sites

Thanks, problem solved!
It's my ancient ATI graphics card that doesn't support WebGL in Firefox.
If I switch to the Nvidia card it's fine!
I do wonder why that Cloudflare test site is still using WebGL if it's obsolete.
I'll go away again now......
:D

Link to comment
Share on other sites

Notice: undoing relocation of download server and dev-machine will be conducted in tomorrow, so this week's builds will not be available for making time for tidying up my home and download server will be unconnectable for some hours (and DNS record updating may need few more hours to populate)

Link to comment
Share on other sites

  • Dave-H changed the title to My Browser Builds (Part 2)
  • dencorso unpinned this topic
  • dencorso locked and pinned this topic
Guest
This topic is now closed to further replies.
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.


×
×
  • Create New...